%define upstream_name    Class-DBI-SQLite
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Class::DBI extension for sqlite
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Class::DBI)
BuildRequires:	perl(DBD::SQLite)
BuildRequires:	perl(DBIx::ContextualFetch)
BuildArch:      noarch


%description
Class::DBI::SQLite is an extension to Class::DBI for DBD::SQLite. It allows you
to populate an auto-incremented row id after insert.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL installdirs=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.yml
%{perl_vendorlib}/Class
%{_mandir}/*/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.110.0-11.mga10
+ Revision: 2197898
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.110.0-10.mga9
+ Revision: 1802431
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.110.0-9.mga8
+ Revision: 1493532
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.110.0-8.mga7
+ Revision: 1266313
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.110.0-7.mga6
+ Revision: 1023958
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.110.0-6.mga6
+ Revision: 935729
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-5.mga5
+ Revision: 740895
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.110.0-3.mga4
+ Revision: 509892
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 364339
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.110.0-1.mga1
+ Revision: 31776
- mageia rebuild
- imported package perl-Class-DBI-SQLite


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.110.0-1mdv2010.0
+ Revision: 403010
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.11-3mdv2009.0
+ Revision: 241184
- rebuild
- fix description-line-too-long
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Sep 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.11-1mdv2008.0
+ Revision: 83820
- import perl-Class-DBI-SQLite


* Sat Sep 08 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.11-1mdv2008.0
- first mdv release
